# NinetyEight.NEProvider

**negdkcc**

***

negdkcc / NEProvider

## Enumeration: NEProvider

Defined in: [defines/NEProvider.ts:5](https://github.com/EternalsGame/universal-sdk/blob/7b1076b6b36dd7c5b65f4a2f518d40773314a555/gdk/cocos-creator/assets/negdk/scripts/defines/NEProvider.ts#L5)

Defines the available authentication providers.\
These values are used to identify the provider used for social login.

### Enumeration Members

#### APPLE

> **APPLE**: `"apple"`

Defined in: [defines/NEProvider.ts:29](https://github.com/EternalsGame/universal-sdk/blob/7b1076b6b36dd7c5b65f4a2f518d40773314a555/gdk/cocos-creator/assets/negdk/scripts/defines/NEProvider.ts#L29)

Represents Apple authentication provider.

***

#### EMAIL

> **EMAIL**: `"email"`

Defined in: [defines/NEProvider.ts:24](https://github.com/EternalsGame/universal-sdk/blob/7b1076b6b36dd7c5b65f4a2f518d40773314a555/gdk/cocos-creator/assets/negdk/scripts/defines/NEProvider.ts#L24)

Represents Email authentication provider.

***

#### FACEBOOK

> **FACEBOOK**: `"facebook"`

Defined in: [defines/NEProvider.ts:14](https://github.com/EternalsGame/universal-sdk/blob/7b1076b6b36dd7c5b65f4a2f518d40773314a555/gdk/cocos-creator/assets/negdk/scripts/defines/NEProvider.ts#L14)

Represents Facebook authentication provider.

***

#### GOOGLE

> **GOOGLE**: `"google"`

Defined in: [defines/NEProvider.ts:9](https://github.com/EternalsGame/universal-sdk/blob/7b1076b6b36dd7c5b65f4a2f518d40773314a555/gdk/cocos-creator/assets/negdk/scripts/defines/NEProvider.ts#L9)

Represents Google authentication provider.

***

#### TELEGRAM

> **TELEGRAM**: `"telegram"`

Defined in: [defines/NEProvider.ts:19](https://github.com/EternalsGame/universal-sdk/blob/7b1076b6b36dd7c5b65f4a2f518d40773314a555/gdk/cocos-creator/assets/negdk/scripts/defines/NEProvider.ts#L19)

Represents Telegram authentication provider.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eternals.game/gdk-documentation/cocos-creator/api-reference/ninetyeight-game-development-kit-cocos-creator/enumerations/ninetyeight.neprovider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
